Bug 392461 - gcc error while compling IRCD
gcc error while compling IRCD
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-20 09:42 EST by Jason
Modified: 2007-12-06 08:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-06 08:14:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason 2007-11-20 09:42:43 EST
Description of problem:

While compiling IRCD in an vps I facing the error.

Version-Release number of selected component (if applicable):

How reproducible:


Error Message:

gcc -I../include -I/home/ftpuser/ircd/extras/regexp/include
-I/home/ftpuser/ircd/extras/c-ares/include -L../extras/c-ares/lib -pipe -g -O2
-funsigned-char -fno-strict-aliasing -export-dynamic   -c s_conf.c
gcc: Internal error: Killed (program cc1)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[1]: *** [s_conf.o] Error 1
make[1]: Leaving directory `/home/ftpuser/ircd/src'
make: *** [build] Error 2
[root@www ircd]# {standard input}: Assembler messages:
{standard input}:11522: Warning: end of file not at end of a line; newline inserted
{standard input}:12729: Error: unknown pseudo-op: `.'
Comment 1 David Lawrence 2007-11-20 10:04:59 EST
Changing to proper product/component so a developer will see this bug.
Comment 2 Jakub Jelinek 2007-11-23 11:46:50 EST
This is kernel OOM killer which killed gcc, so unless gcc was using unreasonably
too much memory on a simple testcase, it is not a gcc bug.
If you can reproduce it always with the same source, please attach it
Comment 3 Jason 2007-11-24 05:41:18 EST
This issue was fixed just by restarting that vps server. It was consuming more
memory and process limit.

Thanks for your effort and time. 

Note You need to log in before you can comment on or make changes to this bug.